package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.ResourceSort;
import com.lightinit.hsdataplatform.entity.ResourceSortExample;
import java.util.List;

import com.lightinit.hsdataplatform.model.admin.DataRecommendationListModel;
import com.lightinit.hsdataplatform.model.admin.DataRecommendationSearchModel;
import org.apache.ibatis.annotations.Param;

public interface ResourceSortMapper {
    long countByExample(ResourceSortExample example);

    int deleteByExample(ResourceSortExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ResourceSort record);

    int insertSelective(ResourceSort record);

    List<ResourceSort> selectByExample(ResourceSortExample example);

    ResourceSort selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ResourceSort record, @Param("example") ResourceSortExample example);

    int updateByExample(@Param("record") ResourceSort record, @Param("example") ResourceSortExample example);

    int updateByPrimaryKeySelective(ResourceSort record);

    int updateByPrimaryKey(ResourceSort record);

    List<DataRecommendationListModel> queryList(DataRecommendationSearchModel inputModel);

    long queryCount(DataRecommendationSearchModel inputModel);

    long queryResourceCount(DataRecommendationSearchModel inputModel);

    List<DataRecommendationListModel> queryResourceList(DataRecommendationSearchModel inputModel);

    List<DataRecommendationListModel> queryDefaultList(DataRecommendationSearchModel inputModel);

    long queryDefaultCount(DataRecommendationSearchModel inputModel);
}